Subject: Ticket Assigned - Feedback or suggestions
From: Landmark Group <[email-masked]>
To: [email-masked]
Date: Tue, 23 Mar 2021 10:39:52 +0000

Hi Mohd Adeel Akhter,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Feedback or suggestions The product is chose is good but the people who come to fix are very bad they have bad attitude and not polite and they are rude and believe me this will be my last order from home box and before several months I had god from you plates until today I didn’t receive them, very bad , you can check my email and my how many calls I did . I had bought from homebox shop a small shelves and I asked the workers if they can fix because I know it will not take time, less that 20 minutes he was rude and walk away , if he talked in a polite way and explain that it’s not allowed I will appreciate but the man was really bad https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2279337